# XQillaAllocator< _Tp > Class Template Reference

`#include <XPath2MemoryManager.hpp>`

List of all members.

## Public Types

typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef _Tp * | pointer
typedef const _Tp * | const_pointer
typedef _Tp & | reference
typedef const _Tp & | const_reference
typedef _Tp | value_type

## Public Member Functions

| XQillaAllocator ()
| XQillaAllocator (xercesc::MemoryManager *memMgr)
| XQillaAllocator (const XQillaAllocator< _Tp > &o)
pointer | allocate (size_t _n, const void *=0)
void | deallocate (void *_p, size_t _n)
void | construct (pointer _p, const_reference _v)
void | destroy (pointer _p)
size_type | max_size () const
size_type | max_size (size_type) const

## Protected Attributes

char | _singleton [sizeof(_Tp)]
xercesc::MemoryManager * | _memMgr

## Classes

struct | rebind

### template<class _Tp>
class XQillaAllocator< _Tp >

## Member Typedef Documentation

template<class _Tp>
typedef const _Tp* XQillaAllocator< _Tp >::const_pointer

template<class _Tp>
typedef const _Tp& XQillaAllocator< _Tp >::const_reference

template<class _Tp>
typedef ptrdiff_t XQillaAllocator< _Tp >::difference_type

template<class _Tp>
typedef _Tp* XQillaAllocator< _Tp >::pointer

template<class _Tp>
typedef _Tp& XQillaAllocator< _Tp >::reference

template<class _Tp>
typedef size_t XQillaAllocator< _Tp >::size_type

template<class _Tp>
typedef _Tp XQillaAllocator< _Tp >::value_type

## Constructor & Destructor Documentation

template<class _Tp>
XQillaAllocator< _Tp >::XQillaAllocator | ( |  | ) | `[inline]`

template<class _Tp>
XQillaAllocator< _Tp >::XQillaAllocator | ( | xercesc::MemoryManager * | memMgr | ) | `[inline]`

template<class _Tp>
XQillaAllocator< _Tp >::XQillaAllocator | ( | const XQillaAllocator< _Tp > & | o | ) | `[inline]`

## Member Function Documentation

template<class _Tp>
pointer XQillaAllocator< _Tp >::allocate | ( | size_t | _n,
|  | const void * | = `0`
| ) | `[inline]`

template<class _Tp>
void XQillaAllocator< _Tp >::construct | ( | pointer | _p,
|  | const_reference | _v
| ) | `[inline]`

template<class _Tp>
void XQillaAllocator< _Tp >::deallocate | ( | void * | _p,
|  | size_t | _n
| ) | `[inline]`

template<class _Tp>
void XQillaAllocator< _Tp >::destroy | ( | pointer | _p | ) | `[inline]`

template<class _Tp>
size_type XQillaAllocator< _Tp >::max_size | ( | size_type |  | ) | const`[inline]`

template<class _Tp>
size_type XQillaAllocator< _Tp >::max_size | ( |  | ) | const`[inline]`

## Member Data Documentation

template<class _Tp>
xercesc:: MemoryManager* XQillaAllocator< _Tp >::_memMgr `[protected]`

template<class _Tp>
char XQillaAllocator< _Tp >::_singleton[sizeof(_Tp)]`[protected]`

The documentation for this class was generated from the following file:

- XPath2MemoryManager.hpp